Subject: [Tools-discuss] Fwd: Re: Draft review experiment

From: Robert Sparks <[email-masked]>
Date: Wed, 1 Jun 2016 11:23:34 -0400

There has been some discussion of utility ietf-tech-report provides in a 
thread on wgchairs, including a suggestion that we look at running a 
copy (or perhaps add similar functionality to the datatracker).

The whole thread is at 
https://mailarchive.ietf.org/arch/search/?email_list=wgchairs&q=Draft+review+experiment. 
The tools impacting discussion is only in the few messages near the end 
of the thread.

RjS

-------- Forwarded Message --------
Subject: 	Re: Draft review experiment
Date: 	Wed, 1 Jun 2016 11:19:58 -0400
From: 	Robert Sparks <[email-masked]>
To: 	[email-masked]

I've forwarded the discussion to tools-discuss.

I've been following the thread, and plan to spend some time with the
tool to better understand what it provides. I'm wondering if there's
functionality to add to the datatracker (which knows about reference
relationships already), perhaps in the newly revamped part of the
application that lets individuals maintain a subscription list to drafts.

(Btw - if you haven't spotted it, that rework significantly improved the
ability for chairs to maintain subscription lists for their groups,
directly affecting the "related internet drafts" section of your group's
documents page)

RjS

On 6/1/16 9:26 AM, Tomek Mrugalski wrote:
> On 31.05.2016 23:45, Linda Dunbar wrote:
>> Tomek,
>>
>> The tool: https://github.com/tomaszmrugalski/ietf-tech-report
>> needs a local copy of all of the internet drafts.
>>
>> That is not easy to use. Possible to have a web portal for people to enter the key fields, and sent periodical messages to alert people of the relevant drafts?
> Ease of use is a matter of personal preference. I, for example, find
> command line tools that can be automated very easy to use. Anyway, this
> was the design choice made by Alan, who was the original author.
>
> Not sure if I got your question right. If you ask whether it's
> technically possible - sure. Setting this tool in its current form is
> maybe an hour of work and requires a server running Linux/BSD with
> public IP. About the "people to enter the key fields" part, it would
> require some form of framework around it to be developed. If you ask
> whether I could do it - that's out of question, sorry. I'm already
> overcommitted with my DHC duties and don't want to take up any extra
> responsibilities, especially ones that involve recurring maintenance.
>
> I suppose this may be something the tools team could potentially consider.
>
> Tomek
>
>